%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%global pear_name Math_BigInteger
%define name php-pear-Math_BigInteger
%define version 1.0.3
%define release 2

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: PEAR: Pure-PHP arbitrary precission integer arithmetic library
License: MIT
Group: Development/Libraries
Source0: http://pear.php.net/get/Math_BigInteger-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.php.net/package/Math_BigInteger

BuildRequires:  php-pear(PEAR) >= 1.4.7
Provides:       php-pear(%{pear_name}) = %{version}

BuildArch: noarch

%description
Supports base-2, base-10, base-16, and base-256 numbers.  Uses the GMP or
BCMath extensions, if available, and an internal implementation, otherwise.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s
%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm -rf %{buildroot}/%{peardir}/.filemap
rm -rf %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm -rf %{buildroot}/%{xmldir}/.filemap
rm -rf %{buildroot}/%{xmldir}/.lock
rm -rf %{buildroot}/%{xmldir}/.registry
rm -rf %{buildroot}/%{xmldir}/.channels
if [[ -f %{buildroot}%{xmldir}/.depdb ]] ;then
rm -rf %{buildroot}%{xmldir}/.depdb
fi
if [[ -f  %{buildroot}{xmldir}/.depdblock ]] ;then
rm -rf %{buildroot}%{xmldir}/.depdblock
fi


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_BigInteger.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_BigInteger.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_BigInteger >/dev/null || :
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Math_BigInteger.xml

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Jun 16 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.3-2.sme
- importing to buildsys pear packages for Horde [SME: 9600]

* Mon Apr 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.3-1
- Updated to 1.0.3

* Sat May 2 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.2-1
- Original from pear-make-rpm-spec.
